scala.tools.ant

# FastScalac

###
Related Doc: package ant

#### class FastScalac extends Scalac

An Ant task to compile with the fast Scala compiler (`fsc`).

In addition to the attributes shared with the `Scalac` task, this task also accepts the following attributes:

- `reset`
- `server`
- `shutdown`
- `ipv4`
- `maxIdle`

Source
  FastScalac.scala

Linear Supertypes
Scalac, ScalacShared, ScalaMatchingTask, ScalaTask, MatchingTask, SelectorContainer, Task, ProjectComponent, java.lang.Cloneable, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FastScalac
2. Scalac
3. ScalacShared
4. ScalaMatchingTask
5. ScalaTask
6. MatchingTask
7. SelectorContainer
8. Task
9. ProjectComponent
10. Cloneable
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new FastScalac()

### Type Members

1. #### abstract class PermissibleValue extends AnyRef

   Definition Classes
     Scalac

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FastScalac to any2stringadd[FastScalac] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (FastScalac, B)

   Implicit information
     This member is added by an implicit conversion from FastScalac to ArrowAssoc[FastScalac] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### object CompilerPhase extends PermissibleValue

   Defines valid values for properties that refer to compiler phases.

   Defines valid values for properties that refer to compiler phases.

   Definition Classes
     Scalac

7. #### object Flag extends PermissibleValue

   Defines valid values for the `deprecation` and `unchecked` properties.

   Defines valid values for the `deprecation` and `unchecked` properties.

   Definition Classes
     Scalac

8. #### object LoggingLevel extends PermissibleValue

   Defines valid values for the logging property.

   Defines valid values for the logging property.

   Definition Classes
     Scalac

9. #### val MainClass: String

   Definition Classes
     ScalacShared

10. #### object Target extends PermissibleValue

    Defines valid values for the `target` property.

    Defines valid values for the `target` property.

    Definition Classes
      Scalac

11. #### def XsetIgnore(arg0: String): Unit

    Definition Classes
      MatchingTask

12. #### def XsetItems(arg0: String): Unit

    Definition Classes
      MatchingTask

13. #### def add(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

14. #### def addAnd(arg0: AndSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

15. #### def addContains(arg0: ContainsSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

16. #### def addContainsRegexp(arg0: ContainsRegexpSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

17. #### def addCustom(arg0: ExtendSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

18. #### def addDate(arg0: DateSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

19. #### def addDepend(arg0: DependSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

20. #### def addDepth(arg0: DepthSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

21. #### def addDifferent(arg0: DifferentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

22. #### def addFilename(arg0: FilenameSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

23. #### def addMajority(arg0: MajoritySelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

24. #### def addModified(arg0: ModifiedSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

25. #### def addNone(arg0: NoneSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

26. #### def addNot(arg0: NotSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

27. #### def addOr(arg0: OrSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

28. #### var addParams: String

    Instruct the compiler to use additional parameters

    Instruct the compiler to use additional parameters

    Attributes
      protected
    Definition Classes
      Scalac

29. #### def addPresent(arg0: PresentSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

30. #### def addSelector(arg0: SelectSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

31. #### def addSize(arg0: SizeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

32. #### def addType(arg0: TypeSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

33. #### def appendSelector(arg0: FileSelector): Unit

    Definition Classes
      MatchingTask → SelectorContainer

34. #### var argfile: Option[File]

    Attributes
      protected
    Definition Classes
      Scalac

35. #### final def asInstanceOf[T0]: T0

    Cast the receiver object to be of type `T0`.

    Cast the receiver object to be of type `T0`.

    Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

    returns

      the receiver object.

    Definition Classes
      Any
    Exceptions thrown

      `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

36. #### def asString(file: File): String

    Transforms a file into a Scalac-readable string.

    Transforms a file into a Scalac-readable string.

    file

      A file to convert.

    returns

      A string-representation of the file like `/x/k/a.scala`.

    Attributes
      protected
    Definition Classes
      Scalac

37. #### def asString(path: List[File]): String

    Transforms a path into a Scalac-readable string.

    Transforms a path into a Scalac-readable string.

    path

      A path to convert.

    returns

      A string-representation of the path like `a.jar:b.jar`.

    Attributes
      protected
    Definition Classes
      Scalac

38. #### var backend: Option[String]

    Attributes
      protected
    Definition Classes
      Scalac

39. #### final def bindToOwner(arg0: Task): Unit

    Definition Classes
      Task

40. #### var bootclasspath: Option[Path]

    The boot class path to use for this compilation.

    The boot class path to use for this compilation.

    Attributes
      protected
    Definition Classes
      Scalac

41. #### def buildError(message: String): Nothing

    Generates a build error.

    Generates a build error. Error location will be the current task in the ant file.

    message

      A message describing the error.

    Attributes
      protected
    Definition Classes
      ScalaTask
    Exceptions thrown

      `BuildException` A build error exception thrown in every case.

42. #### var classpath: Option[Path]

    The class path to use for this compilation.

    The class path to use for this compilation.

    Attributes
      protected
    Definition Classes
      Scalac

43. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Definition Classes
      ProjectComponent → AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

44. #### var compilerPath: Option[Path]

    The path to use when finding scalac - *only used for forking!*

    The path to use when finding scalac - *only used for forking!*

    Attributes
      protected
    Definition Classes
      Scalac

45. #### def createBootclasspath(): Path

    Sets the `bootclasspath` as a nested bootclasspath Ant parameter.

    Sets the `bootclasspath` as a nested bootclasspath Ant parameter.

    returns

      A source path to be configured.

    Definition Classes
      Scalac

46. #### def createClasspath(): Path

    Sets the `classpath` as a nested classpath Ant parameter.

    Sets the `classpath` as a nested classpath Ant parameter.

    returns

      A class path to be configured.

    Definition Classes
      Scalac

47. #### def createCompilerArg(): ImplementationSpecificArgument

    Sets the `compilerarg` as a nested compilerarg Ant parameter.

    Sets the `compilerarg` as a nested compilerarg Ant parameter.

    returns

      A compiler argument to be configured.

    Definition Classes
      Scalac

48. #### def createCompilerPath: Path

    Definition Classes
      Scalac

49. #### def createExclude(): NameEntry

    Definition Classes
      MatchingTask

50. #### def createExcludesFile(): NameEntry

    Definition Classes
      MatchingTask

51. #### def createExtdirs(): Path

    Sets the `extdirs` as a nested extdirs Ant parameter.

    Sets the `extdirs` as a nested extdirs Ant parameter.

    returns

      An extensions path to be configured.

    Definition Classes
      Scalac

52. #### def createInclude(): NameEntry

    Definition Classes
      MatchingTask

53. #### def createIncludesFile(): NameEntry

    Definition Classes
      MatchingTask

54. #### def createPatternSet(): PatternSet

    Definition Classes
      MatchingTask

55. #### def createSourcepath(): Path

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    Sets the `sourcepath` as a nested sourcepath Ant parameter.

    returns

      A source path to be configured.

    Definition Classes
      Scalac

56. #### def createSrc(): Path

    Sets the `origin` as a nested src Ant parameter.

    Sets the `origin` as a nested src Ant parameter.

    returns

      An origin path to be configured.

    Definition Classes
      Scalac

57. #### var debugInfo: Option[String]

    Instruct the compiler to generate debugging information

    Instruct the compiler to generate debugging information

    Attributes
      protected
    Definition Classes
      Scalac

58. #### var dependencyfile: Option[File]

    The dependency tracking file.

    The dependency tracking file.

    Attributes
      protected
    Definition Classes
      Scalac

59. #### var deprecation: Option[Boolean]

    Instruct the compiler to generate deprecation information.

    Instruct the compiler to generate deprecation information.

    Attributes
      protected
    Definition Classes
      Scalac

60. #### var destination: Option[File]

    The directory to put the compiled files in.

    The directory to put the compiled files in.

    Attributes
      protected
    Definition Classes
      Scalac

61. #### var encoding: Option[String]

    The character encoding of the files to compile.

    The character encoding of the files to compile.

    Attributes
      protected
    Definition Classes
      Scalac

62. #### def ensuring(cond: (FastScalac) ⇒ Boolean, msg: ⇒ Any): FastScalac

    Implicit information
      This member is added by an implicit conversion from FastScalac to Ensuring[FastScalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

63. #### def ensuring(cond: (FastScalac) ⇒ Boolean): FastScalac

    Implicit information
      This member is added by an implicit conversion from FastScalac to Ensuring[FastScalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

64. #### def ensuring(cond: Boolean, msg: ⇒ Any): FastScalac

    Implicit information
      This member is added by an implicit conversion from FastScalac to Ensuring[FastScalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

65. #### def ensuring(cond: Boolean): FastScalac

    Implicit information
      This member is added by an implicit conversion from FastScalac to Ensuring[FastScalac] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

66. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

67. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

68. #### def execWithArgFiles(java: Java, paths: List[String]): Int

    Definition Classes
      ScalacShared

69. #### def execute(): Unit

    Performs the compilation.

    Performs the compilation.

    Definition Classes
      FastScalac → Scalac → Task

70. #### def executeFork(settings: Settings, sourceFiles: List[File]): Unit

    Attributes
      protected
    Definition Classes
      Scalac

71. #### def executeInternal(settings: Settings, sourceFiles: List[File]): Unit

    Performs the compilation.

    Performs the compilation.

    Attributes
      protected
    Definition Classes
      Scalac

72. #### def existing(file: File): File

    Tests if a file exists and prints a warning in case it doesn't.

    Tests if a file exists and prints a warning in case it doesn't. Always returns the file, even if it doesn't exist.

    file

      A file to test for existence.

    returns

      The same file.

    Attributes
      protected
    Definition Classes
      Scalac

73. #### var explaintypes: Option[Boolean]

    Instruct the compiler to explain type errors in more detail.

    Instruct the compiler to explain type errors in more detail.

    Attributes
      protected
    Definition Classes
      Scalac

74. #### var extdirs: Option[Path]

    The external extensions path to use for this compilation.

    The external extensions path to use for this compilation.

    Attributes
      protected
    Definition Classes
      Scalac

75. #### var failonerror: Boolean

    Indicates whether compilation errors will fail the build; defaults to true.

    Indicates whether compilation errors will fail the build; defaults to true.

    Attributes
      protected
    Definition Classes
      Scalac

76. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

77. #### var force: Boolean

    Whether to force compilation of all files or not.

    Whether to force compilation of all files or not.

    Attributes
      protected
    Definition Classes
      Scalac

78. #### var fork: Boolean

    Whether to fork the execution of scalac

    Whether to fork the execution of scalac

    Attributes
      protected
    Definition Classes
      Scalac

79. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from FastScalac to StringFormat[FastScalac] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

80. #### def getBootclasspath: List[File]

    Gets the value of the `bootclasspath` attribute in a Scala-friendly form.

    Gets the value of the `bootclasspath` attribute in a Scala-friendly form.

    returns

      The boot class path as a list of files.

    Attributes
      protected
    Definition Classes
      Scalac

81. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

82. #### def getClasspath: List[File]

    Gets the value of the `classpath` attribute in a Scala-friendly form.

    Gets the value of the `classpath` attribute in a Scala-friendly form.

    returns

      The class path as a list of files.

    Attributes
      protected
    Definition Classes
      Scalac

83. #### def getDescription(): String

    Definition Classes
      ProjectComponent

84. #### def getDestination: File

    Gets the value of the `destination` attribute in a Scala-friendly form.

    Gets the value of the `destination` attribute in a Scala-friendly form.

    returns

      The destination as a file.

    Attributes
      protected
    Definition Classes
      Scalac

85. #### def getDirectoryScanner(arg0: File): DirectoryScanner

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

86. #### def getExtdirs: List[File]

    Gets the value of the `extdirs` attribute in a Scala-friendly form.

    Gets the value of the `extdirs` attribute in a Scala-friendly form.

    returns

      The extensions path as a list of files.

    Attributes
      protected
    Definition Classes
      Scalac

87. #### final def getImplicitFileSet(): FileSet

    Attributes
      protected[org.apache.tools.ant.taskdefs]
    Definition Classes
      MatchingTask

88. #### def getLocation(): Location

    Definition Classes
      ProjectComponent

89. #### def getOrigin: List[File]

    Gets the value of the `origin` attribute in a Scala-friendly form.

    Gets the value of the `origin` attribute in a Scala-friendly form.

    returns

      The origin path as a list of files.

    Attributes
      protected
    Definition Classes
      Scalac

90. #### def getOwningTarget(): Target

    Definition Classes
      Task

91. #### def getProject(): Project

    Definition Classes
      ProjectComponent

92. #### def getRuntimeConfigurableWrapper(): RuntimeConfigurable

    Definition Classes
      Task

93. #### def getSelectors(arg0: Project): Array[FileSelector]

    Definition Classes
      MatchingTask → SelectorContainer

94. #### def getSourcepath: List[File]

    Gets the value of the `sourcepath` attribute in a Scala-friendly form.

    Gets the value of the `sourcepath` attribute in a Scala-friendly form.

    returns

      The source path as a list of files.

    Attributes
      protected
    Definition Classes
      Scalac

95. #### def getTaskName(): String

    Definition Classes
      Task

96. #### def getTaskType(): String

    Definition Classes
      Task

97. #### def getWrapper(): RuntimeConfigurable

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

98. #### def handleErrorFlush(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

99. #### def handleErrorOutput(arg0: String): Unit

    Attributes
      protected[org.apache.tools.ant]
    Definition Classes
      Task

100. #### def handleFlush(arg0: String): Unit

     Attributes
       protected[org.apache.tools.ant]
     Definition Classes
       Task

101. #### def handleInput(arg0: Array[Byte], arg1: Int, arg2: Int): Int

     Attributes
       protected[org.apache.tools.ant]
     Definition Classes
       Task
     Annotations
       @throws( classOf[java.io.IOException] )

102. #### def handleOutput(arg0: String): Unit

     Attributes
       protected[org.apache.tools.ant]
     Definition Classes
       Task

103. #### def hasSelectors(): Boolean

     Definition Classes
       MatchingTask → SelectorContainer

104. #### def hashCode(): Int

     The hashCode method for reference types.

     The hashCode method for reference types. See hashCode in scala.Any.

     returns

       the hash code value for this object.

     Definition Classes
       AnyRef → Any

105. #### def init(): Unit

     Definition Classes
       Task
     Annotations
       @throws( ... )

106. #### def initialize: (Settings, List[File], Boolean)

     Initializes settings and source files

     Initializes settings and source files

     Attributes
       protected
     Definition Classes
       Scalac

107. #### final def isInstanceOf[T0]: Boolean

     Test whether the dynamic type of the receiver object is `T0`.

     Test whether the dynamic type of the receiver object is `T0`.

     Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

     returns

       `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

     Definition Classes
       Any

108. #### final def isInvalid(): Boolean

     Attributes
       protected[org.apache.tools.ant]
     Definition Classes
       Task

109. #### var jvmArgs: Option[String]

     If forking, these are the arguments to the JVM

     If forking, these are the arguments to the JVM

     Attributes
       protected
     Definition Classes
       Scalac

110. #### def log(arg0: String, arg1: java.lang.Throwable, arg2: Int): Unit

     Definition Classes
       Task

111. #### def log(arg0: java.lang.Throwable, arg1: Int): Unit

     Definition Classes
       Task

112. #### def log(arg0: String, arg1: Int): Unit

     Definition Classes
       Task → ProjectComponent

113. #### def log(arg0: String): Unit

     Definition Classes
       Task → ProjectComponent

114. #### var logPhase: List[String]

     Which compilation phases should be logged during compilation.

     Which compilation phases should be logged during compilation.

     Attributes
       protected
     Definition Classes
       Scalac

115. #### var logging: Option[String]

     How much logging output to print.

     How much logging output to print. Either none (default), verbose or debug.

     Attributes
       protected
     Definition Classes
       Scalac

116. #### def maybeConfigure(): Unit

     Definition Classes
       Task
     Annotations
       @throws( ... )

117. #### def nameToFile(name: String): File

     Transforms a string name into a file relative to the build root directory.

     Transforms a string name into a file relative to the build root directory.

     name

       A relative or absolute path to the file as a string.

     returns

       A file created from the name.

     Attributes
       protected
     Definition Classes
       Scalac

118. #### def nameToFile(base: File)(name: String): File

     Transforms a string name into a file relative to the provided base directory.

     Transforms a string name into a file relative to the provided base directory.

     base

       A file pointing to the location relative to which the name will be resolved.

     name

       A relative or absolute path to the file as a string.

     returns

       A file created from the name and the base file.

     Attributes
       protected
     Definition Classes
       Scalac

119. #### final def ne(arg0: AnyRef): Boolean

     Equivalent to `!(this eq that)`.

     Equivalent to `!(this eq that)`.

     returns

       `true` if the argument is not a reference to the receiver object; `false` otherwise.

     Definition Classes
       AnyRef

120. #### def newGlobal(settings: Settings, reporter: Reporter): Global

     Attributes
       protected
     Definition Classes
       Scalac

121. #### def newSettings(error: (String) ⇒ Unit): Settings

     Attributes
       protected
     Definition Classes
       FastScalac → Scalac

122. #### var nobootcp: Option[Boolean]

     Instruct the compiler to not use the boot classpath for the scala jars.

     Instruct the compiler to not use the boot classpath for the scala jars.

     Attributes
       protected
     Definition Classes
       Scalac

123. #### final def notify(): Unit

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Wakes up a single thread that is waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

124. #### final def notifyAll(): Unit

     Wakes up all threads that are waiting on the receiver object's monitor.

     Wakes up all threads that are waiting on the receiver object's monitor.

     Definition Classes
       AnyRef
     Note

       not specified by SLS as a member of AnyRef

125. #### var nowarn: Option[Boolean]

     Instruct the compiler to generate no warnings.

     Instruct the compiler to generate no warnings.

     Attributes
       protected
     Definition Classes
       Scalac

126. #### var optimise: Option[Boolean]

     Instruct the compiler to run optimizations.

     Instruct the compiler to run optimizations.

     Attributes
       protected
     Definition Classes
       Scalac

127. #### var origin: Option[Path]

     The directories that contain source files to compile.

     The directories that contain source files to compile.

     Attributes
       protected
     Definition Classes
       Scalac

128. #### final def perform(): Unit

     Definition Classes
       Task

129. #### def reconfigure(): Unit

     Definition Classes
       Task

130. #### var scalacCompilerArgs: FacadeTaskHelper

     Encapsulates implementation of specific command line arguments.

     Encapsulates implementation of specific command line arguments.

     Attributes
       protected
     Definition Classes
       Scalac

131. #### var scalacDebugging: Boolean

     Prints out the files being compiled by the scalac ant task (not only the number of files).

     Prints out the files being compiled by the scalac ant task (not only the number of files).

     Attributes
       protected
     Definition Classes
       Scalac

132. #### def selectorCount(): Int

     Definition Classes
       MatchingTask → SelectorContainer

133. #### def selectorElements(): java.util.Enumeration[FileSelector]

     Definition Classes
       MatchingTask → SelectorContainer

134. #### def setAddparams(input: String): Unit

     Set the `addparams` info attribute.

     Set the `addparams` info attribute.

     input

       The value for `addparams`.

     Definition Classes
       Scalac

135. #### def setArgfile(input: File): Unit

     Sets the `argfile` attribute.

     Sets the `argfile` attribute. Used by Ant.

     input

       The value of `argfile`.

     Definition Classes
       Scalac

136. #### def setBootclasspath(input: Path): Unit

     Sets the boot classpath attribute.

     Sets the boot classpath attribute. Used by Ant.

     input

       The value of `bootclasspath`.

     Definition Classes
       Scalac

137. #### def setBootclasspathref(input: Reference): Unit

     Sets the `bootclasspath` as an external reference Ant parameter.

     Sets the `bootclasspath` as an external reference Ant parameter.

     input

       A reference to a source path.

     Definition Classes
       Scalac

138. #### def setCaseSensitive(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

139. #### def setClasspath(input: Path): Unit

     Sets the `classpath` attribute.

     Sets the `classpath` attribute. Used by Ant.

     input

       The value of `classpath`.

     Definition Classes
       Scalac

140. #### def setClasspathref(input: Reference): Unit

     Sets the `classpath` as an external reference Ant parameter.

     Sets the `classpath` as an external reference Ant parameter.

     input

       A reference to a class path.

     Definition Classes
       Scalac

141. #### def setCompilerPath(input: Path): Unit

     Sets the `compilerPath` attribute.

     Sets the `compilerPath` attribute. Used by Ant.

     input

       The value of `compilerPath`.

     Definition Classes
       Scalac

142. #### def setCompilerPathRef(input: Reference): Unit

     Sets the `compilerpathref` attribute.

     Sets the `compilerpathref` attribute. Used by Ant.

     input

       The value of `compilerpathref`.

     Definition Classes
       Scalac

143. #### def setDebuginfo(input: String): Unit

     Set the `debug` info attribute.

     Set the `debug` info attribute.

     input

       The value for `debug`.

     Definition Classes
       Scalac

144. #### def setDefaultexcludes(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

145. #### def setDependencyfile(input: File): Unit

     Sets the `dependencyfile` attribute.

     Sets the `dependencyfile` attribute. Used by Ant.

     input

       The value of `dependencyfile`.

     Definition Classes
       Scalac

146. #### def setDeprecation(input: String): Unit

     Set the `deprecation` info attribute.

     Set the `deprecation` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

147. #### def setDescription(arg0: String): Unit

     Definition Classes
       ProjectComponent

148. #### def setDestdir(input: File): Unit

     Sets the `destdir` attribute.

     Sets the `destdir` attribute. Used by Ant.

     input

       The value of `destination`.

     Definition Classes
       Scalac

149. #### def setEncoding(input: String): Unit

     Sets the `encoding` attribute.

     Sets the `encoding` attribute. Used by Ant.

     input

       The value of `encoding`.

     Definition Classes
       Scalac

150. #### def setExcludes(arg0: String): Unit

     Definition Classes
       MatchingTask

151. #### def setExcludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

152. #### def setExplaintypes(input: String): Unit

     Set the `explaintypes` info attribute.

     Set the `explaintypes` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

153. #### def setExtdirs(input: Path): Unit

     Sets the external extensions path attribute.

     Sets the external extensions path attribute. Used by Ant.

     input

       The value of `extdirs`.

     Definition Classes
       Scalac

154. #### def setExtdirsref(input: Reference): Unit

     Sets the `extdirs` as an external reference Ant parameter.

     Sets the `extdirs` as an external reference Ant parameter.

     input

       A reference to an extensions path.

     Definition Classes
       Scalac

155. #### def setFailonerror(input: Boolean): Unit

     Sets the `failonerror` attribute.

     Sets the `failonerror` attribute. Used by Ant.

     input

       The value for `failonerror`.

     Definition Classes
       Scalac

156. #### def setFollowSymlinks(arg0: Boolean): Unit

     Definition Classes
       MatchingTask

157. #### def setForce(input: Boolean): Unit

     Sets the `force` attribute.

     Sets the `force` attribute. Used by Ant.

     input

       The value for `force`.

     Definition Classes
       Scalac

158. #### def setFork(input: Boolean): Unit

     Sets the `fork` attribute.

     Sets the `fork` attribute. Used by Ant.

     input

       The value for `fork`.

     Definition Classes
       Scalac

159. #### def setIPv4(input: Boolean): Unit

     Sets the `ipv4` attribute.

     Sets the `ipv4` attribute. Used by Ant.

     input

       The value for `ipv4`.

160. #### def setIncludes(arg0: String): Unit

     Definition Classes
       MatchingTask

161. #### def setIncludesfile(arg0: File): Unit

     Definition Classes
       MatchingTask

162. #### def setJvmargs(input: String): Unit

     Sets the `jvmargs` attribute.

     Sets the `jvmargs` attribute. Used by Ant.

     input

       The value for `jvmargs`

     Definition Classes
       Scalac

163. #### def setLocation(arg0: Location): Unit

     Definition Classes
       ProjectComponent

164. #### def setLogPhase(input: String): Unit

     Sets the `logphase` attribute.

     Sets the `logphase` attribute. Used by Ant.

     input

       The value for `logPhase`.

     Definition Classes
       Scalac

165. #### def setLogging(input: String): Unit

     Sets the logging level attribute.

     Sets the logging level attribute. Used by Ant.

     input

       The value for `logging`.

     Definition Classes
       Scalac

166. #### def setMaxIdle(input: Int): Unit

     Sets the `maxIdle` attribute.

     Sets the `maxIdle` attribute. Used by Ant.

     input

       The value for `maxIdle`.

167. #### def setNobootcp(input: String): Unit

     Set the `nobootcp` info attribute.

     Set the `nobootcp` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

168. #### def setNowarn(input: String): Unit

     Set the `nowarn` info attribute.

     Set the `nowarn` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

169. #### def setOptimise(input: String): Unit

     Set the `optimise` info attribute.

     Set the `optimise` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

170. #### def setOwningTarget(arg0: Target): Unit

     Definition Classes
       Task

171. #### def setProject(arg0: Project): Unit

     Definition Classes
       MatchingTask → ProjectComponent

172. #### def setReset(input: Boolean): Unit

     Sets the `reset` attribute.

     Sets the `reset` attribute. Used by Ant.

     input

       The value for `reset`.

173. #### def setRuntimeConfigurableWrapper(arg0: RuntimeConfigurable): Unit

     Definition Classes
       Task

174. #### def setScalacdebugging(input: Boolean): Unit

     Set the `scalacdebugging` info attribute.

     Set the `scalacdebugging` info attribute. If set to `true`, the scalac ant task will print out the filenames being compiled.

     input

       The specified flag

     Definition Classes
       Scalac

175. #### def setServer(input: String): Unit

     Sets the `server` attribute.

     Sets the `server` attribute. Used by Ant.

     input

       The value for `server`.

176. #### def setShutdown(input: Boolean): Unit

     Sets the `shutdown` attribute.

     Sets the `shutdown` attribute. Used by Ant.

     input

       The value for `shutdown`.

177. #### def setSourcepath(input: Path): Unit

     Sets the `sourcepath` attribute.

     Sets the `sourcepath` attribute. Used by Ant.

     input

       The value of `sourcepath`.

     Definition Classes
       Scalac

178. #### def setSourcepathref(input: Reference): Unit

     Sets the `sourcepath` as an external reference Ant parameter.

     Sets the `sourcepath` as an external reference Ant parameter.

     input

       A reference to a source path.

     Definition Classes
       Scalac

179. #### def setSrcdir(input: Path): Unit

     Sets the `srcdir` attribute.

     Sets the `srcdir` attribute. Used by Ant.

     input

       The value of `origin`.

     Definition Classes
       Scalac

180. #### def setSrcref(input: Reference): Unit

     Sets the `origin` as an external reference Ant parameter.

     Sets the `origin` as an external reference Ant parameter.

     input

       A reference to an origin path.

     Definition Classes
       Scalac

181. #### def setTarget(input: String): Unit

     Sets the `target` attribute.

     Sets the `target` attribute. Used by Ant.

     input

       The value for `target`.

     Definition Classes
       Scalac

182. #### def setTaskName(arg0: String): Unit

     Definition Classes
       Task

183. #### def setTaskType(arg0: String): Unit

     Definition Classes
       Task

184. #### def setUnchecked(input: String): Unit

     Set the `unchecked` info attribute.

     Set the `unchecked` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

185. #### def setUsejavacp(input: String): Unit

     Set the `usejavacp` info attribute.

     Set the `usejavacp` info attribute.

     input

       One of the flags `yes/no` or `on/off`.

     Definition Classes
       Scalac

186. #### var sourcepath: Option[Path]

     The source path to use for this compilation.

     The source path to use for this compilation.

     Attributes
       protected
     Definition Classes
       Scalac

187. #### final def synchronized[T0](arg0: ⇒ T0): T0

     Definition Classes
       AnyRef

188. #### def toString(): String

     Creates a String representation of this object.

     Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

     returns

       a String representation of the object.

     Definition Classes
       AnyRef → Any

189. #### var unchecked: Option[Boolean]

     Instruct the compiler to generate unchecked information.

     Instruct the compiler to generate unchecked information.

     Attributes
       protected
     Definition Classes
       Scalac

190. #### var usejavacp: Option[Boolean]

     Instruct the compiler to use `java.class.path` in classpath resolution.

     Instruct the compiler to use `java.class.path` in classpath resolution.

     Attributes
       protected
     Definition Classes
       Scalac

191. #### final def wait(): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

192. #### final def wait(arg0: Long, arg1: Int): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

193. #### final def wait(arg0: Long): Unit

     Definition Classes
       AnyRef
     Annotations
       @throws( ... )

194. #### def →[B](y: B): (FastScalac, B)

     Implicit information
       This member is added by an implicit conversion from FastScalac to ArrowAssoc[FastScalac] performed by method ArrowAssoc in scala.Predef.
     Definition Classes
       ArrowAssoc

### Inherited from Scalac

### Inherited from ScalacShared

### Inherited from ScalaMatchingTask

### Inherited from ScalaTask

### Inherited from MatchingTask

### Inherited from SelectorContainer

### Inherited from Task

### Inherited from ProjectComponent

### Inherited from java.lang.Cloneable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FastScalac to any2stringadd[FastScalac]

### Inherited by implicit conversion StringFormat from FastScalac to StringFormat[FastScalac]

### Inherited by implicit conversion Ensuring from FastScalac to Ensuring[FastScalac]

### Inherited by implicit conversion ArrowAssoc from FastScalac to ArrowAssoc[FastScalac]

### Ungrouped